Subject: Re: [Bitcoin-development] Adding callback hooks to the satoshi client

From: "Luke-Jr" <[email-masked]>
Date: Thu, 22 Mar 2012 10:00:40 -0400

On Thursday, March 22, 2012 1:13:13 AM Eric Lombrozo wrote:
> I would like to propose adding these callback hooks to the main
> branch. I am willing to help locate these key points, reorganize the
> code to place these methods in separate source files, define a callback
> mechanism, and contribute source code.

I'm not sure it's a good idea to let other code into the main wallet-handling 
process/memory space. I'd suggest looking into designing a workable Wallet 
Protocol for general use between the wallet and GUIs/applications.

https://en.bitcoin.it/wiki/Wallet_protocol has a draft I made a long time ago, 
but really seems a bit overcomplicated.